summaryrefslogtreecommitdiff
path: root/dev-ruby/atomic
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/atomic
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/atomic')
-rw-r--r--dev-ruby/atomic/Manifest1
-rw-r--r--dev-ruby/atomic/atomic-1.1.101.ebuild33
-rw-r--r--dev-ruby/atomic/metadata.xml12
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-ruby/atomic/Manifest b/dev-ruby/atomic/Manifest
new file mode 100644
index 000000000000..8d151b413621
--- /dev/null
+++ b/dev-ruby/atomic/Manifest
@@ -0,0 +1 @@
+DIST atomic-1.1.101.gem 17920 BLAKE2B 50f4efc215293e931380b6307231279b3c5ca055aa8082fee8575963a68b3d54262449bf45fb1a514dab18f53a1dd9e0467a0f7ac67dea7a45fcce09155721dd SHA512 59c82fa5ec984b7ecd97964ea075ea327511fd4e71cc5ac72d3fb573b777c9fb289f462d022ea1e0256b38dc369c9f7fa7a61b7af877bd06ec94252237111e8d
diff --git a/dev-ruby/atomic/atomic-1.1.101.ebuild b/dev-ruby/atomic/atomic-1.1.101.ebuild
new file mode 100644
index 000000000000..427fca75a658
--- /dev/null
+++ b/dev-ruby/atomic/atomic-1.1.101.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="An atomic reference implementation for JRuby, Rubinius, and MRI"
+HOMEPAGE="https://github.com/headius/ruby-atomic"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 arm ~arm64 hppa ppc ppc64 ~sparc x86"
+IUSE=""
+
+all_ruby_prepare() {
+ # Avoid compilation dependencies since we compile directly.
+ sed -i -e '/:test => :compile/ s:^:#:' \
+ -e '/extensiontask/,/end/ s:^:#:' Rakefile || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext
+ cp ext/atomic_reference$(get_modname) lib/ || die
+}
diff --git a/dev-ruby/atomic/metadata.xml b/dev-ruby/atomic/metadata.xml
new file mode 100644
index 000000000000..84a3201f1875
--- /dev/null
+++ b/dev-ruby/atomic/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">headius/ruby-atomic</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>